Package org.apache.tapestry5.internal.services

## Class ClientDataSinkImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ClientDataSinkImpl

- All Implemented Interfaces:
    `ClientDataSink`

      public class ClientDataSinkImpl
      extends Object
      implements ClientDataSink

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientDataSinkImpl​(URLEncoder urlEncoder, Key hmacKey)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClientData()` | Encoded the data written to the stream as a string that can be provided to the client.
    `String` | `getEncodedClientData()` | Returns the client data encoded (for inclusion in a URL) via `URLEncoder`.
    `ObjectOutputStream` | `getObjectOutputStream()` | Provides the output stream to which data can be written.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientDataSinkImpl

          public ClientDataSinkImpl​(URLEncoder urlEncoder,
                                    Key hmacKey)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getObjectOutputStream

          public ObjectOutputStream getObjectOutputStream()

      Description copied from interface: `ClientDataSink`
      Provides the output stream to which data can be written.
      Specified by:
        `getObjectOutputStream` in interface `ClientDataSink`
      Returns:
        the stream

    - #### getClientData

          public String getClientData()

      Description copied from interface: `ClientDataSink`
      Encoded the data written to the stream as a string that can be provided to the client. Implicitly closes the stream (if it has not already been closed).
      Specified by:
        `getClientData` in interface `ClientDataSink`
      Returns:
        the encoded data as a string
      See Also:
        `ClientDataEncoder.decodeClientData(String)`

    - #### getEncodedClientData

          public String getEncodedClientData()

      Description copied from interface: `ClientDataSink`
      Returns the client data encoded (for inclusion in a URL) via `URLEncoder`.
      Specified by:
        `getEncodedClientData` in interface `ClientDataSink`